This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165839 - RFE: disable warning: no-dependency-on usermode-consoleonly
RFE: disable warning: no-dependency-on usermode-consoleonly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-12 14:54 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.71-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 16:13:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-08-12 14:54:47 EDT
Description of problem:
rpmlint gives the following warning
   W: <package-name> no-dependency-on usermode-consoleonly
when linting the packages hddtemp and pure-ftpd

I believe this another Mandriva only warning (at least in FC4/rawhide
there is no usermode-consoly package)

Version-Release number of selected component (if applicable):
rpmlint 0.70 and 0.71 


TIA
jpo
Comment 1 Ville Skyttä 2005-08-13 01:54:02 EDT
Ack.  Partial fix is to add this to /etc/rpmlint/config:  
  
setOption("DanglingSymlinkExceptions", ( 
    ['consolehelper$', 'usermode'], 
    ['consolehelper-gtk$', 'usermode-gtk'], 
)) 
 
But that will not help with noise from dangling symlinks whose target is 
specified as a file-based dependency (eg. "Requires: 
%{_bindir}/consolehelper"), I'll look into it. 
Comment 2 Ville Skyttä 2006-01-17 16:13:27 EST
Fixed in 0.71-3, soon in FE devel and later in FE-4.

Note You need to log in before you can comment on or make changes to this bug.